import request from '@/utils/request'

export function getConfig(data) {
  return request({
    url: 'DataQuery/DataQuery/GetConfig',
    method: 'post',
    data,
  })
}

export function getDataValue(data) {
  return request({
    url: 'Service/IO/RTDataJson.asmx/GetDataValue',
    method: 'post',
    data: data,
  })
}

export function getSelectOptions(data) {
  return request({
    url: 'DataQuery/DataQuery/GetSelectOptions',
    method: 'post',
    data: data,
  })
}

export function getData(data) {
  return request({
    url: 'DataQuery/DataQuery/GetData',
    method: 'post',
    data,
  })
}

export function exportData(data) {
  return request({
    url: 'DataQuery/DataQuery/ExportData',
    method: 'post',
    data,
  })
}

